Skip to navigation

Call a social data endpoint

Calls one catalogued social data action through BeatAPI. The supplier is never part of the public contract. Use the action catalog published by BeatAPI and pass scalar query parameters for GET actions or a JSON object for POST actions.

Authentication

AuthorizationBearer

Send your API key as Authorization: Bearer <BEATAPI_API_KEY>.

Request

This endpoint expects an object.
actionstringRequiredformat: "^[a-z0-9]+(?:[._-][a-z0-9]+)+$"

BeatAPI action ID from the public social-data catalog.

paramsmap from strings to anyOptional

Response

Synchronous social data result.
objectenum
Allowed values:
statusenum
Allowed values:
actionstring
request_idstring
datamap from strings to any

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error